flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Frédéric THOMAS <webdoubl...@hotmail.com>
Subject Re: [PROPOSAL] Preparing 4.10 release (was: locale problems w/ eclipse and SDK 4.9)
Date Thu, 07 Feb 2013 11:58:39 GMT
Oh, I didn't say but yes, maybe a 4.9.1 is better.

-Fred

-----Message d'origine----- 
From: Frédéric THOMAS
Sent: Thursday, February 07, 2013 12:36 PM
To: dev@flex.apache.org
Subject: Re: [PROPOSAL] Preparing 4.10 release (was: locale problems w/ 
eclipse and SDK 4.9)

Hi Justin,

> Can you give a bit more detail on this as I've used 4.9 with the eu_AU 
> locale with no issues. If there is a issue we can patch the release branch 
> and make a 4.9.1 release as that may be a faster process.

I just fixed it last night, the flex-config.xml was constructed with
"<path-element>locale/en_US</path-element>" instead of
"<path-element>locale/{locale}</path-element>" causing FB having no clue
where to get the resource bundles.

(Look at this thread "locale problems w/ eclipse and SDK 4.9" as well)

> But I agree that we have enough for a new release, it may require a bit of 
> polishing however.

Sure, I didn't mention it but I would like to integrate some improvement as
well, still relative to CSS.

> I'm willing to help out there both with the release any any locale work.

Thanks Justin.
What would be great too, is the users willing to help translating to their
own language the apache and experimental locales, could do it easily, I can
do an how-to, so, even user who don't like to checkout the all project can
help.

> Anyone can be a release manager and in theory they don't even have to be a 
> committer (but practically they need to be). It's the PMC votes on the 
> release.

Ok, I thought it was a problem with the certificates too.
Well, so I can try maybe (with your help)

Thanks,
-Fred

-----Message d'origine----- 
From: Justin Mclean
Sent: Thursday, February 07, 2013 12:16 PM
To: dev@flex.apache.org
Subject: Re: [PROPOSAL] Preparing 4.10 release (was: locale problems w/
eclipse and SDK 4.9)

Hi,

> - Can't use Flash Builder for projects using locales other than en_US
> - Can't use the apache and experimental lib  with locales other than 
> english

Can you give a bit more detail on this as I've used 4.9 with the eu_AU
locale with no issues. If there is a issue we can patch the release branch
and make a 4.9.1 release as that may be a faster process.

> I think a new release needs to be done.
But I agree that we have enough for a new release, it may require a bit of
polishing however.

> Before doing it, I would like to make a call to contributors, committers 
> to translate locales for the apache and experimental lib.
> Before writing this call and the instructions to translate the locales in 
> the user list
I'm willing to help out there both with the release any any locale work.

> volunteer to be release manager for the 4.10 (I think I can't as I'm not 
> PMC).
Anyone can be a release manager and in theory they don't even have to be a
committer (but practically they need to be). It's the PMC votes on the
release.

Thanks,
Justin


Mime
View raw message